OGRE: Ogre::ImageCodec Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ImageCodec Class Reference
Core » Image

Codec specialized in images. More...

`#include <OgreImageCodec.h>`

Inheritance diagram for Ogre::ImageCodec:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Ogre::Codec
virtual | ~Codec ()
virtual void | decode (const DataStreamPtr &input, const Any &output) const =0
| Codes the data from the input chunk into the output chunk.
virtual DataStreamPtr | encode (const Any &input) const
| Codes the input and saves the result in the output stream.
virtual void | encodeToFile (const Any &input, const String &outFileName) const
| Codes the data in the input chunk and saves the result in the output filename provided.
virtual String | getType () const =0
| Returns the type of the codec as a String.
bool | magicNumberMatch (const char *magicNumberPtr, size_t maxbytes) const
| Returns whether a magic number header matches this codec.
virtual String | magicNumberToFileExt (const char *magicNumberPtr, size_t maxbytes) const =0
| Maps a magic number header to a file extension, if this codec recognises it.
virtual bool | setParameter (const String &name, const String &value)
Static Public Member Functions inherited from Ogre::Codec
static Codec * | getCodec (char *magicNumberPtr, size_t maxbytes)
| Gets the codec that can handle the given 'magic' identifier.
static Codec * | getCodec (const String &extension)
| Gets the codec registered for the passed in file extension.
static StringVector | getExtensions (void)
| Gets the file extension list for the registered codecs.
static bool | isCodecRegistered (const String &codecType)
| Return whether a codec is registered already.
static void | registerCodec (Codec *pCodec)
| Registers a new codec in the database.
static void | unregisterCodec (Codec *pCodec)
| Unregisters a codec from the database.

## Detailed Description

Codec specialized in images.

The documentation for this class was generated from the following file:

- OgreImageCodec.h